Bug 1353538 (CVE-2016-6162) - CVE-2016-6162 kernel: Kernel panic triggered at BUG_ON in net/core/skbuff.c
Summary: CVE-2016-6162 kernel: Kernel panic triggered at BUG_ON in net/core/skbuff.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-6162
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1353539
Blocks: 1699356
TreeView+ depends on / blocked
 
Reported: 2016-07-07 12:08 UTC by Adam Mariš
Modified: 2019-09-29 13:52 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The code in the net/core/skbuff.c in the Linux kernel allows local users to cause a denial of service (a system panic) or possibly have unspecified other impact via certain IPv6 socket operations.
Clone Of:
Environment:
Last Closed: 2019-04-18 22:29:57 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-07 12:08:20 UTC
The code in the net/core/skbuff.c in the Linux kernel allows local users to cause a denial of service (a system panic) or possibly have unspecified other impact via certain IPv6 socket operations.

Reference (contains reproducer):

http://seclists.org/oss-sec/2016/q3/8

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=a612769774a3

Comment 1 Adam Mariš 2016-07-07 12:09:00 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1353539]

Comment 4 Justin M. Forbes 2017-06-21 18:08:27 UTC
This fix has been in Fedora for a long time now.

Comment 7 Vladis Dronov 2019-04-18 22:29:57 UTC
Note:

Red Hat Enterprise Linux 7 is not vulnerable to this flaw as only a part of offending commit e6afc8ace6dd without the bug was backported. Other Red Hat products are not affected also, as either the bug is fully fixed or offending code is not present.


Note You need to log in before you can comment on or make changes to this bug.